From 94b5f22d15cdc9c343f46a7447cfaddb9b2bcb26 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 17 Jan 2015 19:08:57 -0800
Subject: [PATCH 1006/1008] Only call setpriority(PRIO_DARWIN_THREAD, 0,
 PRIO_DARWIN_BG) if it is available

Tiger and earlier versions of darwin do not support this.

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 tools/libclang/CIndex.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git llvm_release_38/tools/clang/tools/libclang/CIndex.cpp macports_release_38/tools/clang/tools/libclang/CIndex.cpp
index 9086c60..eac0e0b 100644
--- llvm_release_38/tools/clang/tools/libclang/CIndex.cpp
+++ macports_release_38/tools/clang/tools/libclang/CIndex.cpp
@@ -7387,7 +7387,7 @@ void clang::setThreadBackgroundPriority() {
   if (getenv("LIBCLANG_BGPRIO_DISABLE"))
     return;
 
-#ifdef USE_DARWIN_THREADS
+#if defined(USE_DARWIN_THREADS) && defined(PRIO_DARWIN_THREAD) && defined(PRIO_DARWIN_BG)
   setpriority(PRIO_DARWIN_THREAD, 0, PRIO_DARWIN_BG);
 #endif
 }
-- 
2.10.1

